package com.yutou.qqbot.models.Commands.System;

import com.yutou.qqbot.Annotations.UseModel;
import com.yutou.qqbot.models.Model;
import com.yutou.qqbot.utlis.RedisTools;
import com.yutou.napcat.event.MessageEvent;
@UseModel
public class UpdateIP extends Model {
    @Override
    public boolean isUserPublic() {
        return false;
    }

    @Override
    public String[] getUsePowers() {
        return new String[]{
                QQGroupCommands.QQ_UPDATE_IP
        };
    }

    @Override
    public String getModelName() {
        return "DDNS更新IP";
    }

    @Override
    public void onMessage(Long qq, MessageEvent event, boolean isGroup) {
        super.onMessage(qq, event, isGroup);
        if(msg.equals(QQGroupCommands.QQ_UPDATE_IP)){
            RedisTools.Consumer.system("updateIP", null);
        }
    }
}
